
_set_up:

;kp_4x4_adc.c,22 :: 		void set_up() {
;kp_4x4_adc.c,24 :: 		ANSEL = 0x04;      // Pin RA2 se configura como una entrada analgica
	MOVLW      4
	MOVWF      ANSEL+0
;kp_4x4_adc.c,25 :: 		TRISA = 0x04;
	MOVLW      4
	MOVWF      TRISA+0
;kp_4x4_adc.c,26 :: 		ADCON1 = 0x82;    // elvoltage de referencia es Vcc
	MOVLW      130
	MOVWF      ADCON1+0
;kp_4x4_adc.c,27 :: 		ANSELH = 0;      // Los dems pines se configuran como digitales
	CLRF       ANSELH+0
;kp_4x4_adc.c,28 :: 		C1ON_bit = 0;    // se desactivan los comparadores analgicos
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;kp_4x4_adc.c,29 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;kp_4x4_adc.c,30 :: 		CCP1CON = 0;   //PWM1 y PWM2 off.
	CLRF       CCP1CON+0
;kp_4x4_adc.c,31 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;kp_4x4_adc.c,32 :: 		TRISD0_bit=0;
	BCF        TRISD0_bit+0, BitPos(TRISD0_bit+0)
;kp_4x4_adc.c,33 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;kp_4x4_adc.c,34 :: 		PORTA  =  0;
	CLRF       PORTA+0
;kp_4x4_adc.c,35 :: 		Lcd_Init(); // LCD display initialization
	CALL       _Lcd_Init+0
;kp_4x4_adc.c,36 :: 		Lcd_Cmd(_LCD_CURSOR_OFF); // LCD command (cursor off)
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;kp_4x4_adc.c,37 :: 		Lcd_Cmd(_LCD_CLEAR); // LCD command (clear LCD)
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;kp_4x4_adc.c,38 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_LED:

;kp_4x4_adc.c,40 :: 		void LED() {
;kp_4x4_adc.c,41 :: 		RD0_bit=1;
	BSF        RD0_bit+0, BitPos(RD0_bit+0)
;kp_4x4_adc.c,42 :: 		delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_LED0:
	DECFSZ     R13+0, 1
	GOTO       L_LED0
	DECFSZ     R12+0, 1
	GOTO       L_LED0
	DECFSZ     R11+0, 1
	GOTO       L_LED0
;kp_4x4_adc.c,43 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;kp_4x4_adc.c,44 :: 		delay_ms(200);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      8
	MOVWF      R12+0
	MOVLW      119
	MOVWF      R13+0
L_LED1:
	DECFSZ     R13+0, 1
	GOTO       L_LED1
	DECFSZ     R12+0, 1
	GOTO       L_LED1
	DECFSZ     R11+0, 1
	GOTO       L_LED1
;kp_4x4_adc.c,46 :: 		}
L_end_LED:
	RETURN
; end of _LED

_volt_print:

;kp_4x4_adc.c,47 :: 		void volt_print() {
;kp_4x4_adc.c,48 :: 		ch = volt / 1000;         // Extraer decenas del resultado
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _volt+0, 0
	MOVWF      R0+0
	MOVF       _volt+1, 0
	MOVWF      R0+1
	MOVF       _volt+2, 0
	MOVWF      R0+2
	MOVF       _volt+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;kp_4x4_adc.c,49 :: 		Lcd_Chr(1,7,48+ch);          // Escribir resultado en formato ASCII
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;kp_4x4_adc.c,50 :: 		Lcd_Chr_CP('.');
	MOVLW      46
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;kp_4x4_adc.c,51 :: 		ch = (volt / 100) % 10;    // Extraer unidades del resultado
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _volt+0, 0
	MOVWF      R0+0
	MOVF       _volt+1, 0
	MOVWF      R0+1
	MOVF       _volt+2, 0
	MOVWF      R0+2
	MOVF       _volt+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;kp_4x4_adc.c,52 :: 		Lcd_Chr(1,9,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;kp_4x4_adc.c,53 :: 		ch = (volt / 10) % 10;    // Extraer unidades del resultado
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _volt+0, 0
	MOVWF      R0+0
	MOVF       _volt+1, 0
	MOVWF      R0+1
	MOVF       _volt+2, 0
	MOVWF      R0+2
	MOVF       _volt+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;kp_4x4_adc.c,54 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;kp_4x4_adc.c,55 :: 		ch = volt % 10;             // Extraer unicemimas del resultado
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _volt+0, 0
	MOVWF      R0+0
	MOVF       _volt+1, 0
	MOVWF      R0+1
	MOVF       _volt+2, 0
	MOVWF      R0+2
	MOVF       _volt+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;kp_4x4_adc.c,56 :: 		Lcd_Chr_CP(48+ch);           // Escribir resultado en formato ASCII
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;kp_4x4_adc.c,57 :: 		}
L_end_volt_print:
	RETURN
; end of _volt_print

_main:

;kp_4x4_adc.c,58 :: 		void main() {
;kp_4x4_adc.c,59 :: 		set_up();
	CALL       _set_up+0
;kp_4x4_adc.c,60 :: 		Lcd_Out(1,1,"KEY:");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_kp_4x4_adc+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;kp_4x4_adc.c,61 :: 		Lcd_Out(1,12,"V");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_kp_4x4_adc+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;kp_4x4_adc.c,62 :: 		volt_print();
	CALL       _volt_print+0
;kp_4x4_adc.c,63 :: 		while (1)  {
L_main2:
;kp_4x4_adc.c,65 :: 		rd_adc = ADC_Read(2);
	MOVLW      2
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _rd_adc+0
	MOVF       R0+1, 0
	MOVWF      _rd_adc+1
;kp_4x4_adc.c,66 :: 		delay_ms(10);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L_main4:
	DECFSZ     R13+0, 1
	GOTO       L_main4
	DECFSZ     R12+0, 1
	GOTO       L_main4
	NOP
;kp_4x4_adc.c,67 :: 		volt= (long)rd_adc*5000;
	MOVF       _rd_adc+0, 0
	MOVWF      R0+0
	MOVF       _rd_adc+1, 0
	MOVWF      R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVLW      136
	MOVWF      R4+0
	MOVLW      19
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Mul_32x32_U+0
	MOVF       R0+0, 0
	MOVWF      _volt+0
	MOVF       R0+1, 0
	MOVWF      _volt+1
	MOVF       R0+2, 0
	MOVWF      _volt+2
	MOVF       R0+3, 0
	MOVWF      _volt+3
;kp_4x4_adc.c,68 :: 		volt = volt /1023;
	MOVLW      255
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _volt+0
	MOVF       R0+1, 0
	MOVWF      _volt+1
	MOVF       R0+2, 0
	MOVWF      _volt+2
	MOVF       R0+3, 0
	MOVWF      _volt+3
;kp_4x4_adc.c,69 :: 		if((volt<=5000) && (volt>4500)) Lcd_Chr(2,aux,'7'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R4+0
	MOVLW      128
	XORWF      R0+3, 0
	SUBWF      R4+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main75
	MOVF       R0+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main75
	MOVF       R0+1, 0
	SUBLW      19
	BTFSS      STATUS+0, 2
	GOTO       L__main75
	MOVF       R0+0, 0
	SUBLW      136
L__main75:
	BTFSS      STATUS+0, 0
	GOTO       L_main7
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main76
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main76
	MOVF       _volt+1, 0
	SUBLW      17
	BTFSS      STATUS+0, 2
	GOTO       L__main76
	MOVF       _volt+0, 0
	SUBLW      148
L__main76:
	BTFSC      STATUS+0, 0
	GOTO       L_main7
L__main70:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      55
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main7:
;kp_4x4_adc.c,70 :: 		if((volt<=1670) && (volt>1650)) Lcd_Chr(2,aux,'4'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main77
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main77
	MOVF       _volt+1, 0
	SUBLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main77
	MOVF       _volt+0, 0
	SUBLW      134
L__main77:
	BTFSS      STATUS+0, 0
	GOTO       L_main10
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main78
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main78
	MOVF       _volt+1, 0
	SUBLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main78
	MOVF       _volt+0, 0
	SUBLW      114
L__main78:
	BTFSC      STATUS+0, 0
	GOTO       L_main10
L__main69:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      52
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main10:
;kp_4x4_adc.c,71 :: 		if((volt<=2500) && (volt>2400)) Lcd_Chr(2,aux,'1'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main79
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main79
	MOVF       _volt+1, 0
	SUBLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__main79
	MOVF       _volt+0, 0
	SUBLW      196
L__main79:
	BTFSS      STATUS+0, 0
	GOTO       L_main13
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main80
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main80
	MOVF       _volt+1, 0
	SUBLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__main80
	MOVF       _volt+0, 0
	SUBLW      96
L__main80:
	BTFSC      STATUS+0, 0
	GOTO       L_main13
L__main68:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      49
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main13:
;kp_4x4_adc.c,72 :: 		if((volt<=2000) && (volt>1900)) Lcd_Chr(2,aux,'*'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main81
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main81
	MOVF       _volt+1, 0
	SUBLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main81
	MOVF       _volt+0, 0
	SUBLW      208
L__main81:
	BTFSS      STATUS+0, 0
	GOTO       L_main16
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main82
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main82
	MOVF       _volt+1, 0
	SUBLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main82
	MOVF       _volt+0, 0
	SUBLW      108
L__main82:
	BTFSC      STATUS+0, 0
	GOTO       L_main16
L__main67:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      42
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main16:
;kp_4x4_adc.c,73 :: 		if((volt<=3300) && (volt>3100)) Lcd_Chr(2,aux,'8'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main83
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main83
	MOVF       _volt+1, 0
	SUBLW      12
	BTFSS      STATUS+0, 2
	GOTO       L__main83
	MOVF       _volt+0, 0
	SUBLW      228
L__main83:
	BTFSS      STATUS+0, 0
	GOTO       L_main19
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main84
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main84
	MOVF       _volt+1, 0
	SUBLW      12
	BTFSS      STATUS+0, 2
	GOTO       L__main84
	MOVF       _volt+0, 0
	SUBLW      28
L__main84:
	BTFSC      STATUS+0, 0
	GOTO       L_main19
L__main66:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      56
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main19:
;kp_4x4_adc.c,74 :: 		if((volt<=1095) && (volt>1030)) Lcd_Chr(2,aux,'5'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main85
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main85
	MOVF       _volt+1, 0
	SUBLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main85
	MOVF       _volt+0, 0
	SUBLW      71
L__main85:
	BTFSS      STATUS+0, 0
	GOTO       L_main22
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main86
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main86
	MOVF       _volt+1, 0
	SUBLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main86
	MOVF       _volt+0, 0
	SUBLW      6
L__main86:
	BTFSC      STATUS+0, 0
	GOTO       L_main22
L__main65:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      53
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main22:
;kp_4x4_adc.c,75 :: 		if((volt<=1650) && (volt>1600)) Lcd_Chr(2,aux,'2'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main87
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main87
	MOVF       _volt+1, 0
	SUBLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main87
	MOVF       _volt+0, 0
	SUBLW      114
L__main87:
	BTFSS      STATUS+0, 0
	GOTO       L_main25
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main88
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main88
	MOVF       _volt+1, 0
	SUBLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main88
	MOVF       _volt+0, 0
	SUBLW      64
L__main88:
	BTFSC      STATUS+0, 0
	GOTO       L_main25
L__main64:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      50
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main25:
;kp_4x4_adc.c,76 :: 		if((volt<=1320) && (volt>1270)) Lcd_Chr(2,aux,'0'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main89
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main89
	MOVF       _volt+1, 0
	SUBLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main89
	MOVF       _volt+0, 0
	SUBLW      40
L__main89:
	BTFSS      STATUS+0, 0
	GOTO       L_main28
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main90
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main90
	MOVF       _volt+1, 0
	SUBLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main90
	MOVF       _volt+0, 0
	SUBLW      246
L__main90:
	BTFSC      STATUS+0, 0
	GOTO       L_main28
L__main63:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main28:
;kp_4x4_adc.c,77 :: 		if((volt<=840) &&  (volt>800))  Lcd_Chr(2,aux,'9'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main91
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main91
	MOVF       _volt+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main91
	MOVF       _volt+0, 0
	SUBLW      72
L__main91:
	BTFSS      STATUS+0, 0
	GOTO       L_main31
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main92
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main92
	MOVF       _volt+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main92
	MOVF       _volt+0, 0
	SUBLW      32
L__main92:
	BTFSC      STATUS+0, 0
	GOTO       L_main31
L__main62:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      57
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main31:
;kp_4x4_adc.c,78 :: 		if((volt<=630) && (volt>590))   Lcd_Chr(2,aux,'6'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main93
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main93
	MOVF       _volt+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main93
	MOVF       _volt+0, 0
	SUBLW      118
L__main93:
	BTFSS      STATUS+0, 0
	GOTO       L_main34
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main94
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main94
	MOVF       _volt+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main94
	MOVF       _volt+0, 0
	SUBLW      78
L__main94:
	BTFSC      STATUS+0, 0
	GOTO       L_main34
L__main61:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      54
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main34:
;kp_4x4_adc.c,79 :: 		if((volt<=720) && (volt>680))   Lcd_Chr(2,aux,'3'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main95
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main95
	MOVF       _volt+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main95
	MOVF       _volt+0, 0
	SUBLW      208
L__main95:
	BTFSS      STATUS+0, 0
	GOTO       L_main37
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main96
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main96
	MOVF       _volt+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main96
	MOVF       _volt+0, 0
	SUBLW      168
L__main96:
	BTFSC      STATUS+0, 0
	GOTO       L_main37
L__main60:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      51
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main37:
;kp_4x4_adc.c,80 :: 		if((volt<=670) && (volt>630))   Lcd_Chr(2,aux,'='),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main97
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main97
	MOVF       _volt+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main97
	MOVF       _volt+0, 0
	SUBLW      158
L__main97:
	BTFSS      STATUS+0, 0
	GOTO       L_main40
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main98
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main98
	MOVF       _volt+1, 0
	SUBLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main98
	MOVF       _volt+0, 0
	SUBLW      118
L__main98:
	BTFSC      STATUS+0, 0
	GOTO       L_main40
L__main59:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      61
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main40:
;kp_4x4_adc.c,81 :: 		if((volt<=1430) && (volt>1400)) Lcd_Chr(2,aux,'%'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main99
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main99
	MOVF       _volt+1, 0
	SUBLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main99
	MOVF       _volt+0, 0
	SUBLW      150
L__main99:
	BTFSS      STATUS+0, 0
	GOTO       L_main43
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main100
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main100
	MOVF       _volt+1, 0
	SUBLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main100
	MOVF       _volt+0, 0
	SUBLW      120
L__main100:
	BTFSC      STATUS+0, 0
	GOTO       L_main43
L__main58:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      37
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main43:
;kp_4x4_adc.c,82 :: 		if((volt<=910) && (volt>850))   Lcd_Chr(2,aux,'X'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main101
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main101
	MOVF       _volt+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main101
	MOVF       _volt+0, 0
	SUBLW      142
L__main101:
	BTFSS      STATUS+0, 0
	GOTO       L_main46
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main102
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main102
	MOVF       _volt+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main102
	MOVF       _volt+0, 0
	SUBLW      82
L__main102:
	BTFSC      STATUS+0, 0
	GOTO       L_main46
L__main57:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      88
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main46:
;kp_4x4_adc.c,83 :: 		if((volt<=1110) && (volt>1095)) Lcd_Chr(2,aux,'-'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main103
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main103
	MOVF       _volt+1, 0
	SUBLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main103
	MOVF       _volt+0, 0
	SUBLW      86
L__main103:
	BTFSS      STATUS+0, 0
	GOTO       L_main49
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main104
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main104
	MOVF       _volt+1, 0
	SUBLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main104
	MOVF       _volt+0, 0
	SUBLW      71
L__main104:
	BTFSC      STATUS+0, 0
	GOTO       L_main49
L__main56:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      45
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main49:
;kp_4x4_adc.c,84 :: 		if((volt<=1010) && (volt>950))  Lcd_Chr(2,aux,'+'),aux++,LED(),volt_print();
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main105
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main105
	MOVF       _volt+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main105
	MOVF       _volt+0, 0
	SUBLW      242
L__main105:
	BTFSS      STATUS+0, 0
	GOTO       L_main52
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _volt+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main106
	MOVF       _volt+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main106
	MOVF       _volt+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main106
	MOVF       _volt+0, 0
	SUBLW      182
L__main106:
	BTFSC      STATUS+0, 0
	GOTO       L_main52
L__main55:
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      43
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	INCF       _aux+0, 1
	CALL       _LED+0
	CALL       _volt_print+0
L_main52:
;kp_4x4_adc.c,85 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main53:
	DECFSZ     R13+0, 1
	GOTO       L_main53
	DECFSZ     R12+0, 1
	GOTO       L_main53
	DECFSZ     R11+0, 1
	GOTO       L_main53
	NOP
;kp_4x4_adc.c,86 :: 		if(aux >16) aux=1;
	MOVLW      128
	XORLW      16
	MOVWF      R0+0
	MOVLW      128
	XORWF      _aux+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main54
	MOVLW      1
	MOVWF      _aux+0
L_main54:
;kp_4x4_adc.c,87 :: 		}
	GOTO       L_main2
;kp_4x4_adc.c,88 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
